<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="ChangeListManager">
    <list default="true" id="30b7e4a0-b899-49c3-865c-0311dfadae62" name="Default" comment="">
      <change beforePath="$PROJECT_DIR$/.idea/compiler.xml" beforeDir="false" afterPath="$PROJECT_DIR$/.idea/compiler.xml" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/workspace.xml" beforeDir="false" afterPath="$PROJECT_DIR$/.idea/workspace.xml" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/src/main/java/com/zipcodewilmington/streams/StreamFilter.java" beforeDir="false" afterPath="$PROJECT_DIR$/src/main/java/com/zipcodewilmington/streams/StreamFilter.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/src/main/java/com/zipcodewilmington/streams/StreamMap.java" beforeDir="false" afterPath="$PROJECT_DIR$/src/main/java/com/zipcodewilmington/streams/StreamMap.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/src/main/java/com/zipcodewilmington/streams/anthropoid/PersonFactory.java" beforeDir="false" afterPath="$PROJECT_DIR$/src/main/java/com/zipcodewilmington/streams/anthropoid/PersonFactory.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/src/main/java/com/zipcodewilmington/streams/anthropoid/PersonWarehouse.java" beforeDir="false" afterPath="$PROJECT_DIR$/src/main/java/com/zipcodewilmington/streams/anthropoid/PersonWarehouse.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/src/main/java/com/zipcodewilmington/streams/conversions/ArrayConverter.java" beforeDir="false" afterPath="$PROJECT_DIR$/src/main/java/com/zipcodewilmington/streams/conversions/ArrayConverter.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/src/main/java/com/zipcodewilmington/streams/conversions/ListConverter.java" beforeDir="false" afterPath="$PROJECT_DIR$/src/main/java/com/zipcodewilmington/streams/conversions/ListConverter.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/src/main/java/com/zipcodewilmington/streams/conversions/StreamConverter.java" beforeDir="false" afterPath="$PROJECT_DIR$/src/main/java/com/zipcodewilmington/streams/conversions/StreamConverter.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/target/PersonWarehouse.leonlog" beforeDir="false" afterPath="$PROJECT_DIR$/target/PersonWarehouse.leonlog" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/target/classes/com/zipcodewilmington/streams/anthropoid/PersonFactory.class" beforeDir="false" afterPath="$PROJECT_DIR$/target/classes/com/zipcodewilmington/streams/anthropoid/PersonFactory.class" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/target/classes/com/zipcodewilmington/streams/anthropoid/PersonWarehouse.class" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/target/global.leonlog" beforeDir="false" afterPath="$PROJECT_DIR$/target/global.leonlog" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/target/test-classes/com/zipcodewilmington/streams/TestStreamMap.class" beforeDir="false" />
    </list>
    <ignored path="$PROJECT_DIR$/out/" />
    <ignored path="$PROJECT_DIR$/target/" />
    <option name="EXCLUDED_CONVERTED_TO_IGNORED" value="true" />
    <option name="SHOW_DIALOG" value="false" />
    <option name="HIGHLIGHT_CONFLICTS" value="true" />
    <option name="HIGHLIGHT_NON_ACTIVE_CHANGELIST" value="false" />
    <option name="LAST_RESOLUTION" value="IGNORE" />
  </component>
  <component name="ExportTestResults" outputFolder="$PROJECT_DIR$" openResultsInEditor="true" userTempatePath="" />
  <component name="FUSProjectUsageTrigger">
    <session id="343376504">
      <usages-collector id="statistics.lifecycle.project">
        <counts>
          <entry key="project.open.time.2" value="1" />
          <entry key="project.opened" value="1" />
        </counts>
      </usages-collector>
      <usages-collector id="statistics.file.extensions.open">
        <counts>
          <entry key="class" value="1" />
          <entry key="java" value="13" />
        </counts>
      </usages-collector>
      <usages-collector id="statistics.file.types.open">
        <counts>
          <entry key="CLASS" value="1" />
          <entry key="JAVA" value="13" />
        </counts>
      </usages-collector>
      <usages-collector id="statistics.file.extensions.edit">
        <counts>
          <entry key="java" value="2288" />
        </counts>
      </usages-collector>
      <usages-collector id="statistics.file.types.edit">
        <counts>
          <entry key="JAVA" value="2288" />
        </counts>
      </usages-collector>
    </session>
  </component>
  <component name="FileEditorManager">
    <leaf SIDE_TABS_SIZE_LIMIT_KEY="300">
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/src/main/java/com/zipcodewilmington/streams/StreamFilter.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="331">
              <caret line="95" lean-forward="true" selection-start-line="95" selection-end-line="95" />
              <folding>
                <element signature="e#1251#1252#0" expanded="true" />
                <element signature="e#1296#1297#0" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/src/main/java/com/zipcodewilmington/streams/StreamMap.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="120">
              <caret line="14" column="7" lean-forward="true" selection-start-line="14" selection-start-column="7" selection-end-line="14" selection-end-column="7" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/src/main/java/com/zipcodewilmington/streams/conversions/ArrayConverter.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="358">
              <caret line="40" lean-forward="true" selection-start-line="40" selection-end-line="40" />
              <folding>
                <element signature="e#823#824#0" expanded="true" />
                <element signature="e#850#851#0" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/src/main/java/com/zipcodewilmington/streams/conversions/ListConverter.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="344">
              <caret line="39" lean-forward="true" selection-start-line="39" selection-end-line="39" />
              <folding>
                <element signature="e#939#940#0" expanded="true" />
                <element signature="e#1014#1015#0" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/src/main/java/com/zipcodewilmington/streams/conversions/StreamConverter.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="132">
              <caret line="26" column="22" lean-forward="true" selection-start-line="26" selection-start-column="22" selection-end-line="26" selection-end-column="22" />
              <folding>
                <element signature="e#892#893#0" expanded="true" />
                <element signature="e#919#920#0" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="true">
        <entry file="jar://$MAVEN_REPOSITORY$/junit/junit/4.12/junit-4.12.jar!/org/junit/internal/builders/JUnit4Builder.class">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="135">
              <caret line="10" column="1" lean-forward="true" selection-start-line="10" selection-start-column="1" selection-end-line="10" selection-end-column="1" />
            </state>
          </provider>
        </entry>
      </file>
    </leaf>
  </component>
  <component name="FileTemplateManagerImpl">
    <option name="RECENT_TEMPLATES">
      <list>
        <option value="Kotlin File" />
        <option value="Interface" />
        <option value="Class" />
      </list>
    </option>
  </component>
  <component name="FindInProjectRecents">
    <findStrings>
      <find>public</find>
      <find>static</find>
      <find>FilterSyntax.</find>
      <find>whose name starts with &quot;A&quot;</find>
      <find>public final</find>
      <find>.stream</find>
      <find>.stream()</find>
      <find>Person</find>
      <find>people.</find>
    </findStrings>
    <replaceStrings>
      <replace>public static</replace>
      <replace />
      <replace>filterSyntax.</replace>
      <replace>whose name starts with `this.startingCharacter`</replace>
      <replace>private final</replace>
      <replace>.parallelStream()</replace>
      <replace>R</replace>
      <replace>getPeople().</replace>
    </replaceStrings>
  </component>
  <component name="Git.Settings">
    <option name="RECENT_GIT_ROOT_PATH" value="$PROJECT_DIR$" />
  </component>
  <component name="IdeDocumentHistory">
    <option name="CHANGED_PATHS">
      <list>
        <option value="$PROJECT_DIR$/src/test/java/com/zipcodewilmington/lambdas/exercises/TestConversionArray.java" />
        <option value="$PROJECT_DIR$/src/test/java/com/zipcodewilmington/lambdas/exercises/TestConverterArray.java" />
        <option value="$PROJECT_DIR$/src/test/java/com/zipcodewilmington/lambdas/exercises/TestConversionStream.java" />
        <option value="$PROJECT_DIR$/src/test/java/com/zipcodewilmington/lambdas/exercises/TestConverterStream.java" />
        <option value="$PROJECT_DIR$/src/test/java/com/zipcodewilmington/lambdas/exercises/TestConversionList.java" />
        <option value="$PROJECT_DIR$/src/test/java/com/zipcodewilmington/lambdas/exercises/TestConverterList.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/zipcodewilmington/lambdas/exercises/ArrayConversion.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/zipcodewilmington/lambdas/exercises/ListConversion.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/zipcodewilmington/lambdas/exercises/StreamConversion.java" />
        <option value="$PROJECT_DIR$/src/test/java/com/zipcodewilmington/lambdas/exercises/TestConversionSuite.java" />
        <option value="$PROJECT_DIR$/src/test/java/com/zipcodewilmington/lambdas/exercises/TestSuiteConversionRegression.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/zipcodewilmington/lambdas/exercises/ListConverter.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/zipcodewilmington/lambdas/exercises/ArrayConverter.java" />
        <option value="$PROJECT_DIR$/src/test/java/com/zipcodewilmington/lambdas/exercises/TestConversionAgent.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/zipcodewilmington/lambdas/exercises/ConversionAgent.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/zipcodewilmington/lambdas/exercises/StreamConverter.java" />
        <option value="$PROJECT_DIR$/src/test/java/com/zipcodewilmington/lambdas/exercises/TestConstants.java" />
        <option value="$PROJECT_DIR$/src/test/java/com/zipcodewilmington/lambdas/TestPersonFactory.java" />
        <option value="$PROJECT_DIR$/src/test/java/com/zipcodewilmington/streams/TestPersonFactory.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/zipcodewilmington/streams/DemoStreamFilter.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/zipcodewilmington/streams/exercises/ConversionAgent.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/zipcodewilmington/streams/tools/RandomUtils.java" />
        <option value="$PROJECT_DIR$/src/test/java/com/zipcodewilmington/streams/conversions/TestConverterArray.java" />
        <option value="$PROJECT_DIR$/src/test/java/com/zipcodewilmington/streams/conversions/TestConverterList.java" />
        <option value="$PROJECT_DIR$/src/test/java/com/zipcodewilmington/streams/conversions/TestConverterStream.java" />
        <option value="$PROJECT_DIR$/src/test/java/com/zipcodewilmington/streams/conversions/TestSuiteConversionRegression.java" />
        <option value="$PROJECT_DIR$/src/test/java/com/zipcodewilmington/streams/TestStreamMap.java" />
        <option value="$PROJECT_DIR$/src/test/java/com/zipcodewilmington/streams/TestConstants.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/zipcodewilmington/streams/anthropoid/PersonWorld.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/zipcodewilmington/streams/tools/ReflectionUtils.java" />
        <option value="$PROJECT_DIR$/src/test/java/com/zipcodewilmington/streams/anthropoid/TestPerson.java" />
        <option value="$PROJECT_DIR$/src/test/java/com/zipcodewilmington/streams/anthropoid/TestPersonFactory.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/zipcodewilmington/streams/anthropoid/Person.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/zipcodewilmington/streams/tools/StringUtils.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/zipcodewilmington/streams/conversions/ConversionAgent.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/zipcodewilmington/streams/tools/DateUtils.java" />
        <option value="$PROJECT_DIR$/src/test/java/com/zipcodewilmington/streams/conversions/TestConversionAgent.java" />
        <option value="$PROJECT_DIR$/src/test/java/com/zipcodewilmington/streams/TestStreamFilter.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/zipcodewilmington/streams/tools/logging/LoggerWarehouse.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/zipcodewilmington/streams/tools/logging/LoggerHandler.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/zipcodewilmington/streams/conversions/PersonConversionAgent.java" />
        <option value="$PROJECT_DIR$/src/test/java/com/zipcodewilmington/streams/anthropoid/TestPersonWarehouse.java" />
        <option value="$PROJECT_DIR$/src/test/java/com/zipcodewilmington/streams/anthropoid/TestSuiteAnthropoidRegression.java" />
        <option value="$PROJECT_DIR$/src/test/java/com/zipcodewilmington/streams/TestSuiteFullRegression.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/zipcodewilmington/streams/anthropoid/PersonFactory.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/zipcodewilmington/streams/anthropoid/PersonWarehouse.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/zipcodewilmington/streams/StreamFilter.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/zipcodewilmington/streams/StreamMap.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/zipcodewilmington/streams/conversions/ArrayConverter.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/zipcodewilmington/streams/conversions/ListConverter.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/zipcodewilmington/streams/conversions/StreamConverter.java" />
      </list>
    </option>
  </component>
  <component name="JsBuildToolGruntFileManager" detection-done="true" sorting="DEFINITION_ORDER" />
  <component name="JsBuildToolPackageJson" detection-done="true" sorting="DEFINITION_ORDER" />
  <component name="JsGulpfileManager">
    <detection-done>true</detection-done>
    <sorting>DEFINITION_ORDER</sorting>
  </component>
  <component name="MavenImportPreferences">
    <option name="importingSettings">
      <MavenImportingSettings>
        <option name="importAutomatically" value="true" />
      </MavenImportingSettings>
    </option>
  </component>
  <component name="ProjectFrameBounds">
    <option name="x" value="1" />
    <option name="y" value="23" />
    <option name="width" value="1246" />
    <option name="height" value="797" />
  </component>
  <component name="ProjectLevelVcsManager" settingsEditedManually="true" />
  <component name="ProjectView">
    <navigator proportions="" version="1">
      <foldersAlwaysOnTop value="true" />
    </navigator>
    <panes>
      <pane id="ProjectPane">
        <subPane>
          <expand>
            <path>
              <item name="CR-MicroLabs-Streams-And-Lambdas" type="b2602c69:ProjectViewProjectNode" />
              <item name="CR-MicroLabs-Streams-And-Lambdas" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="CR-MicroLabs-Streams-And-Lambdas" type="b2602c69:ProjectViewProjectNode" />
              <item name="CR-MicroLabs-Streams-And-Lambdas" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="CR-MicroLabs-Streams-And-Lambdas" type="b2602c69:ProjectViewProjectNode" />
              <item name="CR-MicroLabs-Streams-And-Lambdas" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="CR-MicroLabs-Streams-And-Lambdas" type="b2602c69:ProjectViewProjectNode" />
              <item name="CR-MicroLabs-Streams-And-Lambdas" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="CR-MicroLabs-Streams-And-Lambdas" type="b2602c69:ProjectViewProjectNode" />
              <item name="CR-MicroLabs-Streams-And-Lambdas" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="test" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="CR-MicroLabs-Streams-And-Lambdas" type="b2602c69:ProjectViewProjectNode" />
              <item name="CR-MicroLabs-Streams-And-Lambdas" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="test" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="CR-MicroLabs-Streams-And-Lambdas" type="b2602c69:ProjectViewProjectNode" />
              <item name="CR-MicroLabs-Streams-And-Lambdas" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="test" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
              <item name="streams" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="CR-MicroLabs-Streams-And-Lambdas" type="b2602c69:ProjectViewProjectNode" />
              <item name="CR-MicroLabs-Streams-And-Lambdas" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="test" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
              <item name="streams" type="462c0819:PsiDirectoryNode" />
              <item name="anthropoid" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="CR-MicroLabs-Streams-And-Lambdas" type="b2602c69:ProjectViewProjectNode" />
              <item name="CR-MicroLabs-Streams-And-Lambdas" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="test" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
              <item name="streams" type="462c0819:PsiDirectoryNode" />
              <item name="conversions" type="462c0819:PsiDirectoryNode" />
            </path>
          </expand>
          <select />
        </subPane>
      </pane>
      <pane id="PackagesPane" />
      <pane id="Scope" />
    </panes>
  </component>
  <component name="PropertiesComponent">
    <property name="WebServerToolWindowFactoryState" value="false" />
    <property name="aspect.path.notification.shown" value="true" />
    <property name="com.android.tools.idea.instantapp.provision.ProvisionBeforeRunTaskProvider.myTimeStamp" value="1542421436117" />
    <property name="last_opened_file_path" value="$PROJECT_DIR$/pom.xml" />
    <property name="project.structure.last.edited" value="Facets" />
    <property name="project.structure.proportion" value="0.15" />
    <property name="project.structure.side.proportion" value="0.2" />
    <property name="settings.editor.selected.configurable" value="reference.projectsettings.compiler.javacompiler" />
  </component>
  <component name="RecentsManager">
    <key name="MoveClassesOrPackagesDialog.RECENTS_KEY">
      <recent name="com.zipcodewilmington.streams.anthropoid" />
      <recent name="com.zipcodewilmington.lambdas" />
      <recent name="com.zipcodewilmington.lambdas.exercises" />
      <recent name="com.zipcode" />
    </key>
    <key name="CopyFile.RECENT_KEYS">
      <recent name="$PROJECT_DIR$/src/main/java/com/zipcodewilmington/streams/tools" />
    </key>
    <key name="CreateClassDialog.RecentsKey">
      <recent name="com.zipcodewilmington.lambdas" />
      <recent name="com.zipcodewilmington.lambdas.tools" />
    </key>
  </component>
  <component name="RunDashboard">
    <option name="ruleStates">
      <list>
        <RuleState>
          <option name="name" value="ConfigurationTypeDashboardGroupingRule" />
        </RuleState>
        <RuleState>
          <option name="name" value="StatusDashboardGroupingRule" />
        </RuleState>
      </list>
    </option>
  </component>
  <component name="RunManager" selected="JUnit.com.zipcodewilmington.streams in streamdemo">
    <configuration default="true" type="AndroidTestRunConfigurationType" factoryName="Android Tests">
      <module name="" />
      <option name="TESTING_TYPE" value="0" />
      <option name="INSTRUMENTATION_RUNNER_CLASS" value="" />
      <option name="METHOD_NAME" value="" />
      <option name="CLASS_NAME" value="" />
      <option name="PACKAGE_NAME" value="" />
      <option name="EXTRA_OPTIONS" value="" />
      <option name="TARGET_SELECTION_MODE" value="SHOW_DIALOG" />
      <option name="PREFERRED_AVD" value="" />
      <option name="CLEAR_LOGCAT" value="false" />
      <option name="SHOW_LOGCAT_AUTOMATICALLY" value="false" />
      <option name="SKIP_NOOP_APK_INSTALLATIONS" value="true" />
      <option name="FORCE_STOP_RUNNING_APP" value="true" />
      <option name="DEBUGGER_TYPE" value="Java" />
      <option name="USE_LAST_SELECTED_DEVICE" value="false" />
      <option name="PREFERRED_AVD" value="" />
      <Java />
      <Profilers>
        <option name="ENABLE_ADVANCED_PROFILING" value="true" />
        <option name="GAPID_ENABLED" value="false" />
        <option name="GAPID_DISABLE_PCS" value="false" />
        <option name="SUPPORT_LIB_ENABLED" value="true" />
        <option name="INSTRUMENTATION_ENABLED" value="true" />
      </Profilers>
      <method />
    </configuration>
    <configuration default="true" type="Applet" factoryName="Applet">
      <option name="POLICY_FILE" value="$APPLICATION_HOME_DIR$/bin/appletviewer.policy" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration default="true" type="Application" factoryName="Application">
      <option name="WORKING_DIRECTORY" value="$PROJECT_DIR$" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="TestPersonWarehouse" type="JUnit" factoryName="JUnit" temporary="true" nameIsGenerated="true">
      <module name="streamdemo" />
      <extension name="coverage">
        <pattern>
          <option name="PATTERN" value="com.zipcodewilmington.streams.anthropoid.*" />
          <option name="ENABLED" value="true" />
        </pattern>
      </extension>
      <option name="PACKAGE_NAME" value="com.zipcodewilmington.streams.anthropoid" />
      <option name="MAIN_CLASS_NAME" value="com.zipcodewilmington.streams.anthropoid.TestPersonWarehouse" />
      <option name="WORKING_DIRECTORY" value="$MODULE_DIR$" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="TestPersonWarehouse.testGetIdToNameMap" type="JUnit" factoryName="JUnit" temporary="true" nameIsGenerated="true">
      <module name="streamdemo" />
      <extension name="coverage">
        <pattern>
          <option name="PATTERN" value="com.zipcodewilmington.streams.anthropoid.*" />
          <option name="ENABLED" value="true" />
        </pattern>
      </extension>
      <option name="PACKAGE_NAME" value="com.zipcodewilmington.streams.anthropoid" />
      <option name="MAIN_CLASS_NAME" value="com.zipcodewilmington.streams.anthropoid.TestPersonWarehouse" />
      <option name="METHOD_NAME" value="testGetIdToNameMap" />
      <option name="TEST_OBJECT" value="method" />
      <option name="WORKING_DIRECTORY" value="$MODULE_DIR$" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="TestPersonWarehouse.testGetUniquelyNamedPeopleStartingWith" type="JUnit" factoryName="JUnit" temporary="true" nameIsGenerated="true">
      <module name="streamdemo" />
      <extension name="coverage">
        <pattern>
          <option name="PATTERN" value="com.zipcodewilmington.streams.anthropoid.*" />
          <option name="ENABLED" value="true" />
        </pattern>
      </extension>
      <option name="PACKAGE_NAME" value="com.zipcodewilmington.streams.anthropoid" />
      <option name="MAIN_CLASS_NAME" value="com.zipcodewilmington.streams.anthropoid.TestPersonWarehouse" />
      <option name="METHOD_NAME" value="testGetUniquelyNamedPeopleStartingWith" />
      <option name="TEST_OBJECT" value="method" />
      <option name="WORKING_DIRECTORY" value="$MODULE_DIR$" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="TestStreamFilter" type="JUnit" factoryName="JUnit" temporary="true" nameIsGenerated="true">
      <module name="streamdemo" />
      <extension name="coverage">
        <pattern>
          <option name="PATTERN" value="com.zipcodewilmington.streams.*" />
          <option name="ENABLED" value="true" />
        </pattern>
      </extension>
      <option name="PACKAGE_NAME" value="com.zipcodewilmington.streams" />
      <option name="MAIN_CLASS_NAME" value="com.zipcodewilmington.streams.TestStreamFilter" />
      <option name="WORKING_DIRECTORY" value="$MODULE_DIR$" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration default="true" type="JUnit" factoryName="JUnit">
      <option name="WORKING_DIRECTORY" value="$MODULE_DIR$" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="com.zipcodewilmington.streams in streamdemo" type="JUnit" factoryName="JUnit" temporary="true" nameIsGenerated="true">
      <module name="streamdemo" />
      <extension name="coverage">
        <pattern>
          <option name="PATTERN" value="com.zipcodewilmington.streams.*" />
          <option name="ENABLED" value="true" />
        </pattern>
      </extension>
      <option name="PACKAGE_NAME" value="com.zipcodewilmington.streams" />
      <option name="TEST_OBJECT" value="package" />
      <option name="WORKING_DIRECTORY" value="$MODULE_DIR$" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration default="true" type="JetRunConfigurationType" factoryName="Kotlin">
      <module name="looptest" />
      <option name="VM_PARAMETERS" />
      <option name="PROGRAM_PARAMETERS" />
      <option name="ALTERNATIVE_JRE_PATH_ENABLED" value="false" />
      <option name="ALTERNATIVE_JRE_PATH" />
      <option name="PASS_PARENT_ENVS" value="true" />
      <option name="MAIN_CLASS_NAME" />
      <option name="WORKING_DIRECTORY" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration default="true" type="KotlinStandaloneScriptRunConfigurationType" factoryName="Kotlin script">
      <option name="filePath" />
      <option name="vmParameters" />
      <option name="alternativeJrePath" />
      <option name="programParameters" />
      <option name="passParentEnvs" value="true" />
      <option name="workingDirectory" />
      <option name="isAlternativeJrePathEnabled" value="false" />
      <option name="VM_PARAMETERS" />
      <option name="PROGRAM_PARAMETERS" />
      <option name="ALTERNATIVE_JRE_PATH_ENABLED" value="false" />
      <option name="ALTERNATIVE_JRE_PATH" />
      <option name="PASS_PARENT_ENVS" value="true" />
      <option name="MAIN_CLASS_NAME" />
      <option name="WORKING_DIRECTORY" />
      <module name="" />
      <option name="filePath" />
      <option name="vmParameters" />
      <option name="alternativeJrePath" />
      <option name="programParameters" />
      <option name="passParentEnvs" value="true" />
      <option name="workingDirectory" />
      <option name="isAlternativeJrePathEnabled" value="false" />
      <option name="VM_PARAMETERS" />
      <option name="PROGRAM_PARAMETERS" />
      <option name="ALTERNATIVE_JRE_PATH_ENABLED" value="false" />
      <option name="ALTERNATIVE_JRE_PATH" />
      <option name="PASS_PARENT_ENVS" value="true" />
      <option name="MAIN_CLASS_NAME" />
      <option name="WORKING_DIRECTORY" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration default="true" type="TestNG" factoryName="TestNG">
      <option name="WORKING_DIRECTORY" value="$MODULE_DIR$" />
      <properties />
      <listeners />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration default="true" type="#org.jetbrains.idea.devkit.run.PluginConfigurationType" factoryName="Plugin">
      <module name="" />
      <option name="VM_PARAMETERS" value="-Xmx512m -Xms256m -XX:MaxPermSize=250m -ea" />
      <option name="PROGRAM_PARAMETERS" />
      <predefined_log_file id="idea.log" enabled="true" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <list>
      <item itemvalue="JUnit.TestPersonWarehouse.testGetUniquelyNamedPeopleStartingWith" />
      <item itemvalue="JUnit.TestPersonWarehouse.testGetIdToNameMap" />
      <item itemvalue="JUnit.TestPersonWarehouse" />
      <item itemvalue="JUnit.TestStreamFilter" />
      <item itemvalue="JUnit.com.zipcodewilmington.streams in streamdemo" />
    </list>
    <recent_temporary>
      <list>
        <item itemvalue="JUnit.com.zipcodewilmington.streams in streamdemo" />
        <item itemvalue="JUnit.TestStreamFilter" />
        <item itemvalue="JUnit.TestPersonWarehouse" />
        <item itemvalue="JUnit.TestPersonWarehouse.testGetIdToNameMap" />
        <item itemvalue="JUnit.TestPersonWarehouse.testGetUniquelyNamedPeopleStartingWith" />
      </list>
    </recent_temporary>
  </component>
  <component name="SvnConfiguration">
    <configuration />
  </component>
  <component name="TaskManager">
    <task active="true" id="Default" summary="Default task">
      <changelist id="30b7e4a0-b899-49c3-865c-0311dfadae62" name="Default" comment="" />
      <created>1493756132542</created>
      <option name="number" value="Default" />
      <option name="presentableId" value="Default" />
      <updated>1493756132542</updated>
      <workItem from="1542397790150" duration="12170000" />
    </task>
    <servers />
  </component>
  <component name="TestHistory">
    <history-entry file="TestPersonFactory_testCreateRandomPersonArray - 2018.11.16 at 15h 37m 26s.xml">
      <configuration name="TestPersonFactory.testCreateRandomPersonArray" configurationId="JUnit" />
    </history-entry>
    <history-entry file="TestPersonFactory - 2018.11.16 at 15h 37m 57s.xml">
      <configuration name="TestPersonFactory" configurationId="JUnit" />
    </history-entry>
    <history-entry file="TestPersonWarehouse_testAddPerson - 2018.11.16 at 16h 00m 26s.xml">
      <configuration name="TestPersonWarehouse.testAddPerson" configurationId="JUnit" />
    </history-entry>
    <history-entry file="TestPersonWarehouse_testGetUniquelyNamedPeople - 2018.11.16 at 16h 00m 29s.xml">
      <configuration name="TestPersonWarehouse.testGetUniquelyNamedPeople" configurationId="JUnit" />
    </history-entry>
    <history-entry file="TestPersonWarehouse_testGetUniquelyNamedPeople - 2018.11.16 at 16h 18m 34s.xml">
      <configuration name="TestPersonWarehouse.testGetUniquelyNamedPeople" configurationId="JUnit" />
    </history-entry>
    <history-entry file="TestPersonWarehouse_testGetUniquelyNamedPeopleStartingWith - 2018.11.16 at 16h 20m 43s.xml">
      <configuration name="TestPersonWarehouse.testGetUniquelyNamedPeopleStartingWith" configurationId="JUnit" />
    </history-entry>
    <history-entry file="TestPersonWarehouse_testGetIdToNameMap - 2018.11.16 at 16h 34m 46s.xml">
      <configuration name="TestPersonWarehouse.testGetIdToNameMap" configurationId="JUnit" />
    </history-entry>
    <history-entry file="TestPersonWarehouse - 2018.11.16 at 20h 23m 55s.xml">
      <configuration name="TestPersonWarehouse" configurationId="JUnit" />
    </history-entry>
    <history-entry file="TestStreamFilter - 2018.11.16 at 21h 01m 39s.xml">
      <configuration name="TestStreamFilter" configurationId="JUnit" />
    </history-entry>
    <history-entry file="com_zipcodewilmington_streams_in_streamdemo - 2018.11.16 at 21h 23m 09s.xml">
      <configuration name="com.zipcodewilmington.streams in streamdemo" configurationId="JUnit" />
    </history-entry>
  </component>
  <component name="TimeTrackingManager">
    <option name="totallyTimeSpent" value="12170000" />
  </component>
  <component name="TodoView">
    <todo-panel id="selected-file">
      <is-autoscroll-to-source value="true" />
    </todo-panel>
    <todo-panel id="all">
      <are-packages-shown value="true" />
      <is-autoscroll-to-source value="true" />
    </todo-panel>
  </component>
  <component name="ToolWindowManager">
    <frame x="1" y="23" width="1246" height="797" extended-state="0" />
    <editor active="true" />
    <layout>
      <window_info content_ui="combo" id="Project" order="0" visible="true" weight="0.2051495" />
      <window_info id="Structure" order="1" weight="0.25" />
      <window_info id="Designer" order="2" />
      <window_info id="Nl-Palette" order="3" />
      <window_info id="Favorites" order="4" side_tool="true" />
      <window_info id="Image Layers" order="5" />
      <window_info id="Capture Tool" order="6" />
      <window_info id="UI Designer" order="7" />
      <window_info anchor="bottom" id="Database Changes" show_stripe_button="false" />
      <window_info anchor="bottom" id="Message" order="0" />
      <window_info anchor="bottom" id="Find" order="1" weight="0.32844576" />
      <window_info active="true" anchor="bottom" id="Run" order="2" visible="true" weight="0.313783" />
      <window_info anchor="bottom" id="Debug" order="3" weight="0.39958376" />
      <window_info anchor="bottom" id="Cvs" order="4" weight="0.25" />
      <window_info anchor="bottom" id="Inspection" order="5" weight="0.4" />
      <window_info anchor="bottom" id="TODO" order="6" weight="0.3277849" />
      <window_info anchor="bottom" id="Version Control" order="7" />
      <window_info anchor="bottom" id="Terminal" order="8" weight="0.264308" />
      <window_info anchor="bottom" id="Event Log" order="9" side_tool="true" />
      <window_info anchor="bottom" id="Messages" order="10" weight="0.32551318" />
      <window_info anchor="right" id="Database" />
      <window_info anchor="right" id="Commander" order="0" weight="0.4" />
      <window_info anchor="right" id="Ant Build" order="1" weight="0.25" />
      <window_info anchor="right" content_ui="combo" id="Hierarchy" order="2" weight="0.25" />
      <window_info anchor="right" id="Palette" order="3" />
      <window_info anchor="right" id="Capture Analysis" order="4" />
      <window_info anchor="right" id="Theme Preview" order="5" />
      <window_info anchor="right" id="Properties" order="6" />
      <window_info anchor="right" id="Palette&#9;" order="7" />
      <window_info anchor="right" id="Maven Projects" order="8" />
    </layout>
  </component>
  <component name="TypeScriptGeneratedFilesManager">
    <option name="version" value="1" />
  </component>
  <component name="VcsContentAnnotationSettings">
    <option name="myLimit" value="2678400000" />
  </component>
  <component name="antWorkspaceConfiguration">
    <option name="IS_AUTOSCROLL_TO_SOURCE" value="false" />
    <option name="FILTER_TARGETS" value="false" />
  </component>
  <component name="editorHistoryManager">
    <entry file="jar:///Library/Java/JavaVirtualMachines/jdk1.8.0_131.jdk/Contents/Home/src.zip!/java/util/AbstractCollection.java" />
    <entry file="file://$PROJECT_DIR$/src/main/java/com/zipcode/LoopMethods.java" />
    <entry file="file://$PROJECT_DIR$/src/main/java/com/zipcode/ArrayLoopMethods.java" />
    <entry file="file://$PROJECT_DIR$/src/test/java/com/zipcode/ArrayLoopMethodsTest.java" />
    <entry file="file://$PROJECT_DIR$/src/main/java/com/zipcodewilmington/lambdas/tools/StringFactory.java" />
    <entry file="jar://$MAVEN_REPOSITORY$/junit/junit/4.12/junit-4.12.jar!/org/junit/Assert.class">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="361">
          <caret line="38" column="39" lean-forward="true" selection-start-line="38" selection-start-column="39" selection-end-line="38" selection-end-column="39" />
        </state>
      </provider>
    </entry>
    <entry file="jar:///Library/Java/JavaVirtualMachines/jdk1.8.0_131.jdk/Contents/Home/src.zip!/java/util/Arrays.java" />
    <entry file="file://$PROJECT_DIR$/src/main/java/com/zipcodewilmington/lambdas/Exercises.java" />
    <entry file="jar:///Library/Java/JavaVirtualMachines/jdk1.8.0_131.jdk/Contents/Home/src.zip!/java/util/stream/Stream.java" />
    <entry file="jar:///Library/Java/JavaVirtualMachines/jdk1.8.0_131.jdk/Contents/Home/src.zip!/java/util/HashMap.java" />
    <entry file="file://$PROJECT_DIR$/target/index.html">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="jar:///Library/Java/JavaVirtualMachines/jdk1.8.0_131.jdk/Contents/Home/src.zip!/java/time/LocalDate.java" />
    <entry file="file://$PROJECT_DIR$/target/global.leonlog.1">
      <provider selected="true" editor-type-id="LargeFileEditor">
        <state relative-caret-position="146">
          <caret line="10" column="90" lean-forward="true" selection-start-line="10" selection-start-column="90" selection-end-line="10" selection-end-column="90" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/Test Results - TestSuiteFullRegression.html" />
    <entry file="file://$PROJECT_DIR$/target/global.leonlog">
      <provider editor-type-id="text-editor" />
      <provider selected="true" editor-type-id="LargeFileEditor">
        <state relative-caret-position="-90">
          <caret line="2" lean-forward="true" selection-start-line="2" selection-end-line="2" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/zipcodewilmington/streams/anthropoid/PersonWorld.java" />
    <entry file="file://$PROJECT_DIR$/src/main/java/com/zipcodewilmington/streams/anthropoid/PersonWarehouseWarehouse.java" />
    <entry file="jar:///Library/Java/JavaVirtualMachines/jdk1.8.0_131.jdk/Contents/Home/src.zip!/java/util/function/Predicate.java" />
    <entry file="file://$PROJECT_DIR$/streamdemo.iml">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="file://$PROJECT_DIR$/.gitignore">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="15">
          <caret line="1" lean-forward="true" selection-start-line="1" selection-end-line="1" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/zipcodewilmington/streams/tools/StringUtils.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="60">
          <caret line="4" column="45" selection-start-line="4" selection-end-line="5" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/zipcodewilmington/streams/tools/ReflectionUtils.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="270">
          <caret line="23" column="61" lean-forward="true" selection-start-line="23" selection-start-column="61" selection-end-line="23" selection-end-column="61" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/zipcodewilmington/streams/tools/DateUtils.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="840">
          <caret line="57" column="41" selection-start-line="57" selection-start-column="41" selection-end-line="57" selection-end-column="41" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/zipcodewilmington/streams/conversions/ConversionAgent.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="52">
          <caret line="14" column="1" selection-start-line="14" selection-start-column="1" selection-end-line="14" selection-end-column="69" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/zipcodewilmington/streams/conversions/PersonConversionAgent.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="120">
          <caret line="8" column="69" selection-start-line="8" selection-start-column="69" selection-end-line="8" selection-end-column="69" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/test/java/com/zipcodewilmington/streams/TestConstants.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="105">
          <caret line="7" column="26" selection-start-line="7" selection-start-column="26" selection-end-line="7" selection-end-column="26" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/test/java/com/zipcodewilmington/streams/conversions/TestConversionAgent.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="272">
          <caret line="28" column="55" lean-forward="true" selection-start-line="28" selection-start-column="55" selection-end-line="28" selection-end-column="55" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/test/java/com/zipcodewilmington/streams/conversions/TestConverterArray.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="90">
          <caret line="6" column="69" selection-start-line="6" selection-start-column="69" selection-end-line="6" selection-end-column="69" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/test/java/com/zipcodewilmington/streams/conversions/TestConverterList.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="90">
          <caret line="6" column="69" selection-start-line="6" selection-start-column="69" selection-end-line="6" selection-end-column="69" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/test/java/com/zipcodewilmington/streams/conversions/TestConverterStream.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="90">
          <caret line="6" column="69" selection-start-line="6" selection-start-column="69" selection-end-line="6" selection-end-column="69" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/test/java/com/zipcodewilmington/streams/conversions/TestSuiteConversionRegression.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="225">
          <caret line="16" column="13" selection-start-line="16" selection-start-column="13" selection-end-line="16" selection-end-column="13" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/test/java/com/zipcodewilmington/streams/anthropoid/TestPerson.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="300">
          <caret line="25" column="12" selection-start-line="25" selection-start-column="12" selection-end-line="25" selection-end-column="12" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/test/java/com/zipcodewilmington/streams/anthropoid/TestSuiteAnthropoidRegression.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="315">
          <caret line="21" lean-forward="true" selection-start-line="21" selection-end-line="21" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/zipcodewilmington/streams/tools/logging/LoggerWarehouse.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="90">
          <caret line="7" column="69" selection-start-line="7" selection-start-column="69" selection-end-line="7" selection-end-column="69" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/test/java/com/zipcodewilmington/streams/TestStreamMap.java" />
    <entry file="file://$PROJECT_DIR$/src/main/java/com/zipcodewilmington/streams/tools/logging/LoggerHandler.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="105">
          <caret line="13" column="69" selection-start-line="13" selection-start-column="69" selection-end-line="13" selection-end-column="69" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/test/java/com/zipcodewilmington/streams/TestSuiteFullRegression.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="120">
          <caret line="12" selection-start-line="12" selection-end-line="12" />
        </state>
      </provider>
    </entry>
    <entry file="jar:///Library/Java/JavaVirtualMachines/jdk1.8.0_191.jdk/Contents/Home/src.zip!/java/util/stream/Stream.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="599">
          <caret line="358" column="14" selection-start-line="358" selection-start-column="14" selection-end-line="358" selection-end-column="14" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/test/java/com/zipcodewilmington/streams/anthropoid/TestPersonFactory.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="355">
          <caret line="34" lean-forward="true" selection-start-line="34" selection-end-line="34" />
          <folding>
            <element signature="e#975#976#0" expanded="true" />
            <element signature="e#1052#1053#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/zipcodewilmington/streams/anthropoid/PersonFactory.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="545">
          <caret line="55" column="63" selection-start-line="55" selection-start-column="63" selection-end-line="55" selection-end-column="63" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/zipcodewilmington/streams/anthropoid/Person.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="300">
          <caret line="49" column="20" selection-start-line="49" selection-start-column="20" selection-end-line="49" selection-end-column="20" />
          <folding>
            <element signature="e#1186#1187#0" expanded="true" />
            <element signature="e#1216#1217#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/zipcodewilmington/streams/anthropoid/PersonWarehouse.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="230">
          <caret line="90" selection-start-line="90" selection-end-line="90" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/test/java/com/zipcodewilmington/streams/anthropoid/TestPersonWarehouse.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="140">
          <caret line="37" column="15" lean-forward="true" selection-start-line="37" selection-start-column="15" selection-end-line="37" selection-end-column="15" />
          <folding>
            <element signature="imports" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/zipcodewilmington/streams/tools/RandomUtils.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="765">
          <caret line="60" column="9" selection-start-line="60" selection-start-column="9" selection-end-line="60" selection-end-column="9" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/zipcodewilmington/streams/StreamFilter.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="331">
          <caret line="95" lean-forward="true" selection-start-line="95" selection-end-line="95" />
          <folding>
            <element signature="e#1251#1252#0" expanded="true" />
            <element signature="e#1296#1297#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/test/java/com/zipcodewilmington/streams/TestStreamFilter.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="285">
          <caret line="31" column="49" lean-forward="true" selection-start-line="31" selection-start-column="49" selection-end-line="31" selection-end-column="49" />
          <folding>
            <element signature="e#807#808#0" expanded="true" />
            <element signature="e#863#864#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/zipcodewilmington/streams/StreamMap.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="120">
          <caret line="14" column="7" lean-forward="true" selection-start-line="14" selection-start-column="7" selection-end-line="14" selection-end-column="7" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/zipcodewilmington/streams/conversions/ArrayConverter.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="358">
          <caret line="40" lean-forward="true" selection-start-line="40" selection-end-line="40" />
          <folding>
            <element signature="e#823#824#0" expanded="true" />
            <element signature="e#850#851#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/zipcodewilmington/streams/conversions/ListConverter.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="344">
          <caret line="39" lean-forward="true" selection-start-line="39" selection-end-line="39" />
          <folding>
            <element signature="e#939#940#0" expanded="true" />
            <element signature="e#1014#1015#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/zipcodewilmington/streams/conversions/StreamConverter.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="132">
          <caret line="26" column="22" lean-forward="true" selection-start-line="26" selection-start-column="22" selection-end-line="26" selection-end-column="22" />
          <folding>
            <element signature="e#892#893#0" expanded="true" />
            <element signature="e#919#920#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="jar://$MAVEN_REPOSITORY$/junit/junit/4.12/junit-4.12.jar!/org/junit/internal/builders/JUnit4Builder.class">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="135">
          <caret line="10" column="1" lean-forward="true" selection-start-line="10" selection-start-column="1" selection-end-line="10" selection-end-column="1" />
        </state>
      </provider>
    </entry>
  </component>
  <component name="masterDetails">
    <states>
      <state key="ArtifactsStructureConfigurable.UI">
        <settings>
          <artifact-editor />
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.2" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
      <state key="FacetStructureConfigurable.UI">
        <settings>
          <last-edited>No facets are configured</last-edited>
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.2" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
      <state key="GlobalLibrariesConfigurable.UI">
        <settings>
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.2" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
      <state key="JdkListConfigurable.UI">
        <settings>
          <last-edited>1.8</last-edited>
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.2" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
      <state key="ModuleStructureConfigurable.UI">
        <settings>
          <last-edited>streamdemo</last-edited>
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.2" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
      <state key="ProjectLibrariesConfigurable.UI">
        <settings>
          <last-edited>Maven: junit:junit:4.12</last-edited>
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.2" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
      <state key="ScopeChooserConfigurable.UI">
        <settings>
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.2" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
    </states>
  </component>
</project>